%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Summary: An e-mail notification utility for KDE.
Name: knewmail
Version: 3.1.1
Release: 6
Group: Applications/Internet
Copyright: GPL
Url: http://www.slac.com/mpilone/knewmail_home/mainpage.html
Source: http://www.slac.com/mpilone/knewmail_home/download/%{name}-%{version}.tar.bz2
Patch: knewmail-alpha.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kdesupport
BuildPrereq: kdelibs-devel, qt1x-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
KNewMail is an e-mail notification utility for the K Desktop
Environment (KDE).  KNewMail supports multiple POP3 servers and can be
configured to notify you of new mail in a variety of ways: popping up
a window displaying the number of messages you have waiting; playing a
.wav file or the system bell, etc.  You'll need to have X and KDE
installed in order to use KNewMail.

%prep
%setup -q

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} export MOC=%{qtdir}/bin/moc
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
  $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
  -e '/\/config\//s|^|%config|' \
  -e '\/etc\//s|^|%config|' >> \
  $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
  $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 3.1.1

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- upgraded for 6.1

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
